<?php

    $dtActivityOnPartition = System::GetValue('activity_on_partition',null,'date');
    $strActivityId = System::GetValue('activity_id',null,'string');
    $objActivity = Activity::LoadById($strActivityId,$dtActivityOnPartition);
    if($objActivity){
        $objSystemUser = SystemUser::LoadById($objActivity->CreateUser);
        $objPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId,$objActivity->RelationNursingDate);
        $objPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
    } else {
    }
    $objActivityNursingAdmPayment = ActivityNursingAdmPayment::LoadByActivityId($strActivityId,$dtActivityOnPartition);
    $objActivityNursingAdmDeposit = ActivityNursingAdmDeposit::LoadByActivityId($strActivityId,$dtActivityOnPartition);


    function SelectDetailBillingTransaction($strActivityId, $dtPatientNursingStartDate){
        $objDb = QApplication::$Database[1];
        $strSQL = "
            SELECT * FROM hmis_patient_nursing_adm_billing
            WHERE
                state != 'D'
                AND ( activity_id = '$strActivityId'
                      OR reference_activity_id = '$strActivityId'
                      OR personal_payment_activity_id = '$strActivityId'
                )
            ORDER BY id
        ";
        // echo $strSQL;
        $objDbResult = $objDb->Query($strSQL);
        return $objDbResult;
    }

    function SelectDetailBillingTransactionPatientNursing($strPatientNursingId, $dtPatientNursingStartDate){
        $objDb = QApplication::$Database[1];
        $strSQL = "
            SELECT * FROM hmis_patient_nursing_adm_billing
            WHERE
                state != 'D'
                AND ( patient_nursing_id = '$strPatientNursingId'
                      -- OR reference_activity_id = '$strActivityId'
                      -- OR personal_payment_activity_id = '$strActivityId'
                )
            ORDER BY id
        ";
        // echo $strSQL;
        $objDbResult = $objDb->Query($strSQL);
        return $objDbResult;
    }

    $objPatientNursingBilling = SelectDetailBillingTransaction($objActivity->Id , $dtActivityOnPartition);
    if($objPatientNursingBilling->CountRows() > 0){
        while ($row = $objPatientNursingBilling->FetchArray()) {
            // echo $row['product_name'].'--'.$row['current_price'].'<br />';
        }
    }
    // echo '============================================================ <br />';
    $objPatientNursingBilling->ResultSeekZero();
    if($objPatientNursingBilling->CountRows() > 0){
        while ($row = $objPatientNursingBilling->FetchArray()) {
            // echo $row['product_name'].'--'.$row['casemix_group'].'--'.$row['current_price'].'<br />';
        }
    }
    // exit(0);

?>
<html><head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print{ @page {
            size: portrait;
            margin-top: 2cm;
            margin-bottom: 1cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        table thead {display: table-header-group;}
        .table {
            border: 1px solid #666; border-collapse:collapse;
            width:100%;
        }
        .td {
            border: 1px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px; font-family:"Arial";
        }
        .tx {
            border: 0px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px; font-family:"Arial";
        }
        h2 { margin-bottom: 0; font-family:"Arial"; }
        .td2 {
            border: 0px solid #666; font-size:15px; line-height: 15px;
            vertical-align:middle; padding:0px; font-family:"Arial";
        }
    </style>
</head>
<body>
<div class="noprint">
    <a href="#" onclick="window.close()"><img src="cetak.php_files/arrow.jpg" alt="" class="" title="print" height="30" width="30"></a>
    <!-- 
    <a href="http://192.168.100.99/ifrs/pos/print_2.php?id=0314082019001279"><img src="cetak.php_files/print-icon.png" alt="" title="Print Kwitansi" height="30" width="30"></a>
    <a href="#" onclick="CetakResep('0314082019001279')"><img style="border:#06F" src="cetak.php_files/print-icon.png" alt="" title="Print Kwitansi 2" height="30" width="30"></a>
    <a target="_blank" href="http://192.168.100.99/ifrs/pos/cetak_biru_2.php?id=0314082019001279"><img src="cetak.php_files/print_icon_biru.png" alt="Print Etiket Putih" title="Print Etiket Biru" height="30" width="30"></a>
    <a target="_blank" href="http://192.168.100.99/ifrs/pos/cetak_racikan.php?id=0314082019001279"><img src="cetak.php_files/printer.png" alt="Print Racikan" title="Print Racikan" height="30" width="30"></a>
    -->
</div>

<table id="testTable" border="0" cellpadding="1" cellspacing="0" width="800">
    <tbody><tr>
        <td align="center">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tbody><tr>
                    <td colspan="6" align="center"><font size="+1">RINCIAN</font>
                    </td>
                </tr>
                <tr>
                    <td class="tx" colspan="6" align="center"><h2>RSUD GAMBIRAN KOTA KEDIRI</h2></td>
                </tr>
                <tr>
                    <td class="tx" colspan="6" align="center"><font size="+1">Instalasi Farmasi Pelayanan Obat</font></td>
                </tr>
                <tr>
                    <td colspan="6" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="13%"><strong>No Nota</strong></td>
                    <td class="tx" width="19%">: <?php echo substr($objActivity->Id,0,18); ?>; </td>
                    <td class="tx" width="11%"><strong>No Rekmed</strong></td>
                    <td class="tx" width="22%">: <?php echo $objPatientNursing->Mr; ?></td>
                    <td class="tx" width="12%"><strong>Dokter</strong></td>
                    <td class="tx" width="23%">: <?php echo $objActivity->MediatorName; ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Tgl</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->CreateTime->PhpDate('d-m-Y'); ?></td>
                    <td class="tx"><strong>No Resep</strong></td>
                    <td class="tx">: </td>
                    <td class="tx"><strong>Nama</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->FirstName; ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Ruang</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->DepartmentName; ?></td>
                    <td class="tx"><strong>Tgl Resep</strong></td>
                    <td class="tx">: <?php echo $objActivity->CreateTime->PhpDate('d-m-Y'); ?></td>
                    <td class="tx"><strong>Gol Pasien</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->ContractServiceName ?></td>
                </tr>
                </tbody>
            </table>
            <table class="table" border="1" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td class="td" width="4%"><strong>No</strong></td>
                    <td class="td" width="33%"><strong>Nama Barang</strong></td>
                    <td class="td" width="13%"><strong>Harga</strong></td>
                    <td class="td" width="13%"><strong>Qty</strong></td>
                    <td class="td" width="13%"><strong>Disc</strong></td>
                    <td class="td" align="center" width="16%"><strong>Sub Total</strong></td>
                    <td class="td" align="center" width="16%"><strong>Etiket /Pcs</strong></td>
                </tr>
                <?php
                $valqty = 0 ;
                $objPatientNursingBilling->ResultSeekZero();
                if($objPatientNursingBilling->CountRows() > 0){
                    $intCounter = 1; $valTotal = 0 ;
                    while ($row = $objPatientNursingBilling->FetchArray()) {
                        $valqty = $valqty + $row['quantity'];
                        $valTotal = $valTotal + intval($row['current_price']) * intval($row['quantity']);
                        ?>
                        <tr>
                            <td class="td"><?= $intCounter++; ?></td>
                            <td class="td"><?php echo $row['product_name']; ?></td>
                            <td class="td" align="right"><?php echo $row['current_price']; ?></td>
                            <td class="td" align="right"><?php echo $row['quantity']; ?></td>
                            <td class="td" align="right"></td>
                            <td class="td" align="right"><?php echo $row['current_price'] * $row['quantity']; ?></td>
                            <td class="td" align="center">
                                <!-- 
                                <a target="_blank" href="http://192.168.100.99/ifrs/pos/cetak_biru_2pcs.php?id=0314082019001279&amp;kdbrg=060706&amp;qty=2"><img src="cetak.php_files/print_icon_biru.png" alt="Print Etiket Biru" title="Print /pcs Etiket Biru" height="20" width="20"></a>
                                -->
                            </td>
                        </tr>
                        <?php
                    }
                }
                ?>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Jumlah</strong></td>
                    <td class="td" align="right"><?php echo $valTotal; ?></td>
                    <td class="td" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Disc (0 %) </strong></td>
                    <td class="td" align="right">0</td>
                    <td class="td" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Total</strong></td>
                    <td class="td" align="right"><?php echo $valTotal; ?></td>
                    <td class="td" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Jumlah Qty</strong></td>
                    <td class="td" align="right"><?php echo $valqty;?></td>
                    <td class="td" align="right">&nbsp;</td>
                </tr>
                </tbody>
            </table>
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
</table>
<br>
<h5>&nbsp;</h5>
<script language="javascript" type="text/javascript">
    function CetakResep(id){
        //var no_resep=$('#no_resep').val();
        //alert('jav:resep:'+id+':' + 'Yuli Indayati');
        //window.location='jav:resep:'+id+':' + 'Yuli Indayati';
    }
    window.print();
</script>
<script>
    var tableToExcel = (function() {
    var uri = 'data:application/vnd.ms-excel;base64,'
            , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head><body><table>{table}</table></body></html>'
            , base64 = function(s) { return window.btoa(unescape(encodeURIComponent(s))) }
            , format = function(s, c) { return s.replace(/{(\w+)}/g, function(m, p) { return c[p]; }) }
        return function(table, name) {
            if (!table.nodeType) table = document.getElementById(table)
            var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}
            window.location.href = uri + base64(format(template, ctx))
        }
    })()
</script>
</body>
</html>
