<?php
$objGet = System::genObject('get');

// $objActivity = Activity::LoadById($objGet->activity_id);
$arrCondition = array();
$arrCondition[] = QQ::Equal(QQN::Activity()->State,'A');
$arrCondition[] = QQ::Equal(QQN::Activity()->Id, $objGet->activity_id);
$condition = QQ::AndCondition($arrCondition);
$objClauses = array();
$objClauses[] = QQ::OrderBy(QQN::Activity()->CreateTime,'desc');
if($arrRecords = Activity::QueryArray($condition,$objClauses))
{
    $no = 1;
    foreach($arrRecords as $objRecord)
    {
        $strActivityInternalNumber = $objRecord->ActivityInternalNumber;
        $strActivityExternalNumber = $objRecord->ActivityExternalNumber;
        $jsonData = json_decode($objRecord->Json, false);
        $strTanggalFaktur = $jsonData->tanggal_faktur;
        $diskonPembelian = is_numeric($jsonData->discount_payment) ? $jsonData->discount_payment : 0;
        $materai = is_numeric($jsonData->materai) ? $jsonData->materai : 0;
    }
}
//
$objDb = QApplication::$Database[1];
$strSQL = "
    SELECT
    supplier_name,
    product_name,
    product_code,
    unit_package,
    conv_factor,
    price,
    quantity,
    discount,
    ppn
    FROM hmis_product_transaction_direct_purchase
    WHERE
        state != 'D'
        AND activity_id = '$objGet->activity_id'
        AND activity_on_partition = '$objGet->activity_on_partition'
    ORDER BY id
";
$objDbResult = $objDb->Query($strSQL);
$objDbResult2 = $objDb->Query($strSQL);

if ($objDbResult2->CountRows() > 0) {
    $intCounter = 0;
    while ($row = $objDbResult2->FetchArray()) {
        $supplier = $row['supplier_name'];
        break;
    }
}
?>
<html><head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {
                display:none;
            }
        }
        @media print{ @page {
            /*size: 18.7cm 14cm;*/
            margin-top: 0.9cm;
            margin-bottom: 0.9cm;
            margin-left: 0cm;
            margin-right: 0cm;
        }}
        body{
            font-family: "Lucida Console", Monaco, monospace;
            /* letter-spacing: 4.5px; */
            font-weight: 900;
            }
        table thead {display: table-header-group;}
        .table {
            border: 1px solid #666; border-collapse:collapse;
            width:100%;
        }
        .td {
            border: 1px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        .tx {
            border: 0px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        h2 { margin-bottom: 0;   }
        .td2 {
            border: 0px solid #666; font-size:15px; line-height: 15px;
            vertical-align:middle; padding:0px;  
        }
        .tombol{
            display: inline-block;
            padding: 5px;
            margin: 5px;
            border-radius: 3px;
        }
    </style>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <script>

    </script>
</head>
<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" title="print" width="30" height="30">
    </a>
   
    <button onclick="window.print()">print WP</button><br>
    
</div>

<table id="testTable" border="0" cellpadding="1" cellspacing="0" width="100%">
    <tbody><tr>
        <td align="center">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tbody>

                <tr>
                <div style="display: flex; flex-diection: row; justify-content: center; padding-top: 1mm">
                    <div style="width:70px; margin: 2px 25px">
                        <img src="<?= __USER_ASSETS__ ?>/images/pemkot-kediri-min.png" width="60px" height="60px">
                    </div>
                    <div colspan="6" align="center">
                        <h2 style="margin: 0 auto;">RSUD GAMBIRAN KOTA KEDIRI</h2>
                        <h2 style="margin: 0 auto;">NOTA PEMBELIAN FARMASI</h2>
                        <h6 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h6>
                    </div>
                    <div style="width:140px; margin: 2px 25px;">
                        <img src="<?= __USER_ASSETS__ ?>/images/logo-gambiran-min.png" width="60px" height="60px">
                        <img src="<?= __USER_ASSETS__ ?>/images/kars.png" width="60px" height="auto">
                    </div>
                </div>
                </tr>
                <tr>
                    <td class="tx" colspan="6" align="center"><h4></h4><hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="6" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="11%"><strong>Nama Suplier</strong></td>
                    <td class="tx" width="42%">: <?php echo $supplier; ?> </td>
                    <td class="tx" width="13%"><strong>No Nota</strong></td>
                    <td class="tx" width="19%">: <?php echo $strActivityInternalNumber; ?> </td>
                </tr>
                <tr>
                    <td class="tx" width="12%"><strong>No Faktur</strong></td>
                    <td class="tx" width="23%">: <?php echo $strActivityExternalNumber; ?> </td>
                    <td class="tx"><strong>Tgl Faktur</strong></td>
                    <td class="tx">: <?php echo $strTanggalFaktur; ?> </td>
                </tr>
                </tbody>
            </table>
            <table class="table" border="1" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td class="td" width="4%"><strong>No</strong></td>
                    <td class="td" width="33%"><strong>Nama Barang</strong></td>
                    <td class="td" width="13%"><strong>Kode Barang</strong></td>
                    <td class="td" width="13%"><strong>Satuan</strong></td>
                    <td class="td" width="13%"><strong>Isi</strong></td>
                    <td class="td" width="13%"><strong>Harga</strong></td>
                    <td class="td" align="center" width="16%"><strong>Qty</strong></td>
                    <td class="td noprint" align="center" width="16%"><strong>Disc(%)</strong></td>
                    <td class="td noprint" align="center" width="16%"><strong>PPN(%)</strong></td>
                    <td class="td noprint" align="center" width="16%"><strong>Sub Total</strong></td>
                </tr>
                <?php
                    if ($objDbResult->CountRows() > 0) {
                        $intCounter = 0;
                        while ($row = $objDbResult->FetchArray()) {
                            $intCounter++;
                ?>
                        <tr>
                            <td class="td"><?= $intCounter ?></td>
                            <td><?= $row['product_name'] ?></td>
                            <td><?= $row['product_code'] ?></td>
                            <td><?= $row['unit_package'] ?></td>
                            <td class="td"><b><?php echo $row['conv_factor']; ?></b></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo number_format($row['price']); ?></b></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo $row['quantity']; ?></b></td>
                            <?php $jum_qty += $row['quantity'];?>
                            <td class="td" align="right"><?php echo $row['discount']; ?></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo $row['ppn']; ?></b></td>
                            <?php
                                $hargaAwal = $row['quantity'] * $row['price'];
                                $jum_total += $hargaAwal;
                                if($row['discount']){
                                    $discount = $row['quantity'] * $row['price'] * ($row['discount']/100);
                                }else{
                                    $discount = 0;
                                }
                                $jum_discount += $discount;
                                // $ppn = $row['quantity'] * $row['price'] * (1 - ($row['discount']/100) * ($row['ppn']/100) );
                                $hargaSetelahDiscount = ($row['quantity'] * $row['price']) - $discount;
                                if($row['ppn']){
                                    $ppn = $hargaSetelahDiscount * ($row['ppn']/100);
                                }else{
                                    $ppn = 0;
                                }
                                $jum_ppn += $ppn;
                                // $hargaJadi = $hargaSetelahDiscount + $ppn;
                            ?>
                            <td align="right"><?= number_format($hargaAwal) ?></td>
                        </tr>
                <?php
                 }
                }
                ?>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>Jumlah</strong></td>
                    <td class="td" align="right" style="font-size: 14px;"><?php echo number_format($jum_total); ?></td>
                </tr>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>Disc</strong></td>
                    <td class="td" align="right"><?php echo number_format($jum_discount); ?></td>
                </tr>
                <?php if($diskonPembelian){?>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>Disc Pembelian</strong></td>
                    <td class="td" align="right"><?php echo number_format($diskonPembelian); ?></td>
                </tr>
                <?php } ?>
                <?php if($materai){?>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>Materai</strong></td>
                    <td class="td" align="right"><?php echo number_format($materai); ?></td>
                </tr>
                <?php } ?>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>PPN</strong></td>
                    <td class="td" align="right"><?php echo number_format($jum_ppn); ?></td>
                </tr>
                <tr>
                    <td colspan="9" class="td" align="right"><strong>Total</strong></td>
                    <td class="td" align="right" style="font-size: 14px;"><?php echo number_format($jum_total - $jum_discount - $diskonPembelian + $jum_ppn + $materai); ?></td>
                </tr>
                </tbody>
            </table>
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
</table>
<!-- <br>
<h5>&nbsp;</h5> -->
<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>

<script language="javascript" type="text/javascript">
    // if(typeof(electronCheck) != "function" || !electronCheck()){
    //     $(".noprint").hide();
    //     $("#testTable").hide();
    // }

    function CetakResep(id){
        //var no_resep=$('#no_resep').val();
        //alert('jav:resep:'+id+':' + 'Yuli Indayati');
        //window.location='jav:resep:'+id+':' + 'Yuli Indayati';
    }
   // window.print();
</script>
<script>
var noprint = <?= $noprint ? 'true' : 'false' ?>;

function printEtiket(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiket'));
    externalPrinting(url.replace('nota', 'etiketbiru'));
}
function printEtiketRanap(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiketputihranap'));
    externalPrinting(url.replace('nota', 'etiketbiruranap'));
}
function printRacikan(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiketracikan'));
}
function printRincian(){
    cetakElectron('dotmetric', window.location.href);
}
//electron ,,

$('#printNode').click(function() {
    console.log('cetak')
    if (!noprint) {
        $.ajax({
            url: "http://localhost:8080/",
            // The name of the callback parameter, as specified by the YQL service
            jsonp: "callback",

            // Tell jQuery we're expecting JSONP
            dataType: "jsonp",
            data: {
                job: window.location.href,
                target: "rincian-kasir",
                printer: "EPSON LX-310 ESC/P"
            },

            // Work with the response
            success: function( response ) {
                console.log( response ); // server response
            }
        });
    }

    function callback(params) {
        
    }
});
    
</script>
</body>
</html>
