<?php
    $noprint = System::GetValue('noprint',null,'string');
    $dtActivityOnPartition = System::GetValue('activity_on_partition',null,'date');
    $strActivityId = System::GetValue('activity_id',null,'string');
    $objActivity = Activity::LoadById($strActivityId,$dtActivityOnPartition);
    if($objActivity){
        $objSystemUser = SystemUser::LoadById($objActivity->CreateUser);
        $objPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId,$objActivity->RelationNursingDate);
        $objPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
    } else {
    }
    // $objActivityNursingAdmPayment = ActivityNursingAdmPayment::LoadByActivityId($strActivityId,$dtActivityOnPartition);
        $objDb = QApplication::$Database[1];
        $strSQL = "
            SELECT * FROM hmis_product_transaction_request
            WHERE
                activity_id ='$objActivity->Id'
            ORDER BY create_time
        ";
        $objDbResult = $objDb->Query($strSQL);
?>
<html><head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {
                display:none;
            }
        }
        @media print{ @page {
            /*size: 18.7cm 14cm;*/
            margin-top: 0.9cm;
            margin-bottom: 0.9cm;
            margin-left: 1cm;
            margin-right: 1cm;
        }}
        body{
            font-family: "Lucida Console", Monaco, monospace;
            /* letter-spacing: 4.5px; */
            font-weight: 900;
            }
        table thead {display: table-header-group;}
        .table,
        .table td,
        .table th {
            border: 1px solid #666; border-collapse:collapse;
        }
        .table{
            width:100%;
        }
        .td {
            border: 1px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        .tx {
            border: 0px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        h2 { margin-bottom: 0;   }
        .td2 {
            border: 0px solid #666; font-size:15px; line-height: 15px;
            vertical-align:middle; padding:0px;  
        }
        .tombol{
            display: inline-block;
            padding: 5px;
            margin: 5px;
            border-radius: 3px;
        }
    </style>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <script>

    function printaja()
    {
        // set portrait orientation
        jsPrintSetup.setOption('orientation', jsPrintSetup.kPortraitOrientation);
        //jsPrintSetup.setOption('orientation', jsPrintSetup.kLandscapeOrientation);
        jsPrintSetup.setPrinter('EPSON LX-310 ESC/P'); //apotek
        //jsPrintSetup.setPrinter('EPSON LQ-310 ESC/P2'); //TI
        //jsPrintSetup.definePaperSize('na_legal', 'na_legal_8.5x14in', 'US Legal', 8.5, 14, , 'kPaperSizeInches');
        //jsPrintSetup.setPaperSizeData(5);
        // set top margins in millimeters

        //jsPrintSetup.definePaperSize(5, 5, "na_legal", "na_legal_8.5x14in", "US Legal", "6.5", "8.5", "kPaperSizeInches");
        //jsPrintSetup.setPaperSizeData(5);


        jsPrintSetup.setOption('paperHeight', 6);
        jsPrintSetup.setOption('paperWidth', 6);
        jsPrintSetup.setOption('shrinkToFit', 1);
        jsPrintSetup.setOption('outputFormat', JsPrintSetup.kOutputFormatPDF);


        jsPrintSetup.setOption('marginTop', 0);
        jsPrintSetup.setOption('marginBottom', 0);
        jsPrintSetup.setOption('marginLeft', 0);
        jsPrintSetup.setOption('marginRight', 0);

        jsPrintSetup.setOption('unwriteableMarginTop', 0);
        jsPrintSetup.setOption('unwriteableMarginLeft', 0);
        jsPrintSetup.setOption('unwriteableMarginBottom', 0);
        jsPrintSetup.setOption('unwriteableMarginRight', 0);
        // set page header
        jsPrintSetup.setOption('headerStrLeft', '');
        jsPrintSetup.setOption('headerStrCenter', '');
        jsPrintSetup.setOption('headerStrRight', '');
        // set empty page footer
        jsPrintSetup.setOption('footerStrLeft', '');
        jsPrintSetup.setOption('footerStrCenter', '');
        jsPrintSetup.setOption('footerStrRight', '');
        // Suppress print dialog
        jsPrintSetup.setSilentPrint(false);
        // Do Print
        jsPrintSetup.print();
        // Restore print dialog
        jsPrintSetup.setSilentPrint(false);
    }
    </script>
</head>
<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" title="print" width="30" height="30">
    </a>
   
    <button onclick="window.print()">print WP</button><br>
    
</div>

<h2>PERMINTAAN TRANSIT BARANG</h2>

<table>
    <tr>
        <td>Gudang</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<?php
$objDepartment = HmisRefDepartment::LoadById($objActivity->Department);
?>
        <td>: <?= $objDepartment->Name ?></td>
    </tr>
    <tr>
        <td>Ke Gudang</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>: <?= $objActivity->RelationName ?></td>
    </tr>
    <tr>
        <td>Tgl</td>
        <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td>: <?= $objActivity->ActivityDateTime ?></td>
    </tr>
</table>

<b>Keterangan:</b><br>
<table class="table" id="testTable" border="0" cellpadding="1" cellspacing="0" width="100%">
    <thead>
        <tr>
            <th>NO</th>
            <th>KODE BARANG</th>
            <th>NAMA BARANG</th>
            <th>SATUAN</th>
            <th>Qty</th>
        </tr>
    </thead>
    <tbody>
<?php
$nomer = 1;
while ($row = $objDbResult->FetchArray()) {
?>
        <tr>
            <td><?= $nomer++ ?></td>
            <td><?= $row['product_code'] ?></td>
            <td><?= $row['product_name'] ?></td>
            <td><?= $row['unit_package'] ?></td>
            <td style="text-align: right"><?= $row['quantity'] ?></td>
        </tr>
<?php
}
?>
    </tbody>
</table>

<br><br>
<table style="width: 100%; text-align:center">
    <tr>
        <td>
            Request By,<br><br><br>
            (_________________)
        </td>
        <td>
            Approve By,<br><br><br>
            (_________________)
        </td>
    </tr>
</table>

<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>

<script>
var noprint = <?= $noprint ? 'true' : 'false' ?>;

function printEtiket(){
    externalPrinting(window.location.href.replace('billing', 'etiket'));
    externalPrinting(window.location.href.replace('billing', 'etiketbiru'));
}
function printEtiketRanap(){
    externalPrinting(window.location.href.replace('billing', 'etiketputihranap'));
    externalPrinting(window.location.href.replace('billing', 'etiketbiruranap'));
}
function printRacikan(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('billing', 'etiketracikan'));
}

function printRincian(){
    cetakElectron('dotmetric', window.location.href);
}
//electron ,,

$('#printNode').click(function() {
    console.log('cetak')
    if (!noprint) {
        $.ajax({
            url: "http://localhost:8080/",
            // The name of the callback parameter, as specified by the YQL service
            jsonp: "callback",

            // Tell jQuery we're expecting JSONP
            dataType: "jsonp",
            data: {
                job: window.location.href,
                target: "rincian-kasir",
                printer: "EPSON LX-310 ESC/P"
            },

            // Work with the response
            success: function( response ) {
                console.log( response ); // server response
            }
        });
    }

    function callback(params) {
        
    }
});
    
</script>
</body>
</html>
