<?php

?>

// alert('awal search kompetence');

function ClassViewJournalingSystemEnvironmentVariable(strUrl, strTitle, left, top, width, height, CallbackQueryDone, CallbackQuerySkip, Scope){

	// ===================================================== //
	// Record untuk Dataset                                  //
	// ===================================================== //
	this.StructRecordFilterField = new Ext.data.ArrayStore({
		id: 0
		, fields: ['cmbId','cmbText']
		, data: [
			['ALL', 'SEMUA FIELD']
			, ['name', 'NAMA']
			, ['description', 'KETERANGAN']
			, ['code', 'KODE']
		]
	});

	// ===================================================== //
	// Record untuk Dataset                                  //
	// ===================================================== //
	this.StructRecord = Ext.data.Record.create([
		// notes
		{name: 'Id', type: 'string'}
		, {name: '*', type: 'string'}
		, {name: 'FieldName', type: 'string'}
		, {name: 'FieldDescription', type: 'string'}
		, {name: 'Seq', type: 'string'}
		, {name: 'NewValue', type: 'string'}
		, {name: 'OldValue', type: 'string'}
		, {name: 'CreateTime', type: 'string'}
		, {name: 'IpAddress', type: 'string'}
	]);

	// ===================================================== //
	// Record untuk Collumn Grid                             //
	// ===================================================== //
	this.StructGridCollumn = [
		// notes
		new Ext.ux.RowNumberer({width: 40, header: ' No '})
		, {header: '* ', hidden: true, width: 250, sortable: true, dataIndex: '*'}
		, {header: 'Field', width: 200, sortable: true, dataIndex: 'FieldDescription'}
		, {header: 'Original FieldName', hidden: true, width: 150, sortable: true, dataIndex: 'FieldName'}
		, {header: 'Menjadi', width: 260, sortable: true, dataIndex: 'NewValue'}
		, {header: 'Sebelumnya', width: 200, sortable: true, dataIndex: 'OldValue'}
		, {header: 'Waktu', width: 140, sortable: true, dataIndex: 'CreateTime'}
		, {header: 'Ip Address', width: 100, hidden: true, sortable: true, dataIndex: 'IpAddress'}
		// , {header: '*', align: 'center', width: 18, sortable: false, dataIndex: 'doSelect', renderer: function(value){return "<input type='checkbox'>";} }
	];
	// ===================================================== //
	this.varPrimaryKey = 'Id';  this.varSortField = 'SortField';
	// ===================================================== //

	this.window = null; this.WindowName = ''; this.windowId=''; this.title = ''; this.varModalResult=false;
	this.varLeft=150; this.varTop=100; this.varWidth=600; this.varHeight=380; this.varWindowChange = false;
	this.Url = strUrl;

	this.CallbackQueryDone=null; this.CallbackQuerySkip=null;
	this.Scope=null;

	this.varDataset = 'view_journaling';
	this.strState = 'request_data';

	this.strFilterMenuId='';
	this.strFilterDepartmentId='';
	this.strFilterString='';

	this.strSearch=''; this.varRecordLimit=12; this.CriteriaChange = false;
	this.SelectedIndex=-1;

	this.eventSkip = function(){
		if(this.CallbackQuerySkip){
			if(this.Scope){
				this.CallbackQuerySkip.apply(this.Scope);
			} else {
				this.CallbackQuerySkip();
			}
		}
	};

	this.eventDone = function(Result){
		if(this.CallbackQueryDone){
			if(this.Scope){
				//alert(Result.Id);
				this.CallbackQueryDone.apply(this.Scope,[Result]);
			} else {
				this.CallbackQueryDone(Result);
			}
		}
	};

	this.storeSearch = null; this.StoreSearchDirect = null;

	this.getSelectedIndex = function(){
		if(this.gridSearch.getSelectionModel().getSelected()){
			var Id=this.gridSearch.getSelectionModel().getSelected().get(this.varPrimaryKey);
			return this.storeSearch.indexOfId(Id);
		}
		return -1;
	};

	this.getSelectedAbsoluteIndex = function(){
		if(this.gridSearch.getSelectionModel().getSelected()){
			return (this.pagingSearch.getPageData().activePage - 1) * this.pagingSearch.pageSize + this.getSelectedIndex();
		}
		return -1;
	};

	this.selectPrevious = function(focus){
		if(focus){Ext.fly(this.txtSearchId).focus(); return true; }
		if(!this.gridSearch.getSelectionModel().getSelected()){
			this.gridSearch.getSelectionModel().selectRow(0, true);
			if(this.currentFocus){
				Ext.fly(this.currentFocus.getId()).focus();
			}
		}
		if(this.gridSearch.getSelectionModel().getSelected()){
			var Idx=this.getSelectedIndex(); var Count=this.storeSearch.getCount();
			// Awal Recordset
			if(Idx==0){
				var ActivePage = this.pagingSearch.getPageData().activePage;
				var LastPage = this.pagingSearch.getPageData().pages;
				if(ActivePage>1){
					this.SelectedIndex=this.varRecordLimit-1;
					this.pagingSearch.movePrevious();
					return true;
				}
			}
			this.gridSearch.getSelectionModel().selectPrevious();
			this.SelectedIndex=this.getSelectedIndex();
			if(this.currentFocus){
				Ext.fly(this.currentFocus.getId()).focus();
			}
		}
		return true;
	};

	this.selectNext = function(focus){
		if(focus){Ext.fly(this.txtSearchId).focus(); return true; }
		if(!this.gridSearch.getSelectionModel().getSelected()){
			this.gridSearch.getSelectionModel().selectRow(0, true);
			if(this.currentFocus){
				Ext.fly(this.currentFocus.getId()).focus();
			}
			return true;
		}
		if(this.gridSearch.getSelectionModel().getSelected()){
			var Idx=this.getSelectedIndex(); var Count=this.storeSearch.getCount();
			// Akhir Recordset
			if(Idx==Count-1){
				var ActivePage = this.pagingSearch.getPageData().activePage;
				var LastPage = this.pagingSearch.getPageData().pages;
				if(ActivePage!=LastPage){
					this.SelectedIndex=0;
					this.pagingSearch.moveNext();
					return true;
				}
			}
			this.gridSearch.getSelectionModel().selectNext();
			this.SelectedIndex=this.getSelectedIndex();
			if(this.currentFocus){
				Ext.fly(this.currentFocus.getId()).focus();
			}
		}
		return true;
	};

	this.previousPage = function(){
		if(this.gridSearch.getSelectionModel().getSelected()){
			var ActivePage = this.pagingSearch.getPageData().activePage;
			var LastPage = this.pagingSearch.getPageData().pages;
			if(ActivePage>1){
				this.SelectedIndex=this.getSelectedIndex();
				this.pagingSearch.movePrevious();
			}
		}
		if(this.currentFocus){
			Ext.fly(this.currentFocus.getId()).focus();
		}
		return true;
	};

	this.nextPage = function(){
		if(this.gridSearch.getSelectionModel().getSelected()){
			var ActivePage = this.pagingSearch.getPageData().activePage;
			var LastPage = this.pagingSearch.getPageData().pages;
			if(ActivePage!=LastPage){
				this.SelectedIndex=this.getSelectedIndex();
				this.pagingSearch.moveNext();
			}
		}
		if(this.currentFocus){
			Ext.fly(this.currentFocus.getId()).focus();
		}
		return true;
	};

	//============================================================================================//

	this.txtSearch=new Ext.form.SearchField({width:260}); this.txtSearchId=this.txtSearch.getId();

	this.txtSearch.on('focus', function(obj, e){
		this.currentFocus = obj;
	}, this);
	this.txtSearch.on('common_request', function(obj, e){
		this.gridSearch.disable();
		this.reQuery(this.storeSearch);
	}, this);

	this.txtSearch.on('keyboard', function(obj, e){
		var key=e.getKey();
		if(key==vk_RETURN) {
			obj.propagation=false;
			this.doSelect();
			return true;
		} else if(key==vk_ESCAPE){
			this.varModalResult=false;
			this.window.hide();
			return true;
		} else if(key==vk_UP){
			obj.propagation=false;
			this.selectPrevious(false);
			return true;
		} else if(key==vk_DOWN) {
			obj.propagation=true;
			this.selectNext(false);
			return true;
		} else if(key==vk_PgUP) {
			obj.propagation=false;
			this.previousPage();
			return true;
		} else if(key==vk_PgDOWN) {
			obj.propagation=false;
			this.nextPage();
			return true;
		}
		obj.propagation=true;
		return true;
	}, this);

	this.cbFilterField = new Ext.form.ComboBox({
		width: 180
		, plugins: ['fieldtip']
//			, qtipOnMouseOver: true, qtipOnClick: true, qtipOnFocus: true
		, qtip: 'Opsi Produk'
		, typeAhead: true
		, editable: true
		, forceSelection: true
		, triggerAction: 'all'
		, lazyRender:true
		, mode: 'local'
		, enableKeyEvents: true
		, store: this.StructRecordFilterField
		, valueField: 'cmbId'
		, displayField: 'cmbText'
		, listeners: {
			scope: this
			, select: function(obj, record, idx){
				// alert('test');
				this.reQuery(this.storeSearch);
			}
			/*
			, change: function(obj, newValue, oldValue){
				// alert('test');
				this.reQuery(this.storeSearch);
			}
			*/
		}
	});
	this.cbFilterFieldListener=function(Control, e){
		Control.getEl().on('blur', function(e){
			this.currentFocus = Control;
		}, this);
		Control.getEl().on(strKeyEvent, function(e){
			if (e.getKey() == vk_TAB) {
				e.preventDefault(); e.stopPropagation();
			} else if (e.getKey() == vk_ESCAPE) {
				e.preventDefault(); e.stopPropagation();
				this.txtSearch.focus(50);
			} else if (e.getKey() == 65) {
				e.preventDefault(); e.stopPropagation();
			} else if (e.getKey() == 78) {
				e.preventDefault(); e.stopPropagation();
			}
		}, this);
		Control.getEl().on('blur', function(e){
			/*
			 this.ajaxValidateUrl(this.cbFilterField, this.varId ,this.cbFilterField.getValue());
			 */
		}, this);
	};
	this.cbFilterField.addListener('render', this.cbFilterFieldListener, this);
	// ============================================================================ //

	this.txtStartDate = new Ext.form.DateField({
		width: 100
//		, emptyText: 'Tanggal Awal'
		, plugins: ['fieldtip']
//		, qtipOnMouseOver: true, qtipOnClick: true, qtipOnFocus: true
		, qtipOnFocus: true
		, qtip: 'Tanggal Awal'
		, format: 'd/m/Y'
		, altFormats: 'd/m/y|d/m/Y|d-m-y|d-m-Y|Y-m-d'
	});
	this.txtStartDate.addListener('select', function(){ this.reQuery(); }, this);

	this.txtEndDate = new Ext.form.DateField({
		width: 100
//		, emptyText: 'Tanggal lahir'
		, plugins: ['fieldtip']
//		, qtipOnMouseOver: true, qtipOnClick: true, qtipOnFocus: true
		, qtipOnFocus: true
		, qtip: 'Tanggal Akhir'
		, format: 'd/m/Y'
		, altFormats: 'd/m/y|d/m/Y|d-m-y|d-m-Y|Y-m-d'
	});
	this.txtEndDate.addListener('select', function(){ this.reQuery(); }, this);

	// ============================================================================ //

	this.proxyReader = new Ext.data.HttpProxy({
		url: this.Url
	});

	this.storeSearch = new Ext.data.GroupingStore({
		proxy: this.proxyReader
		, reader: new Ext.data.JsonReader({
			root: 'value_data'
			, totalProperty: 'total_data'
			, id: this.varPrimaryKey
			, fields: this.StructRecord
		})
		, groupField: '*'
		, sortInfo:{field: this.varSortField, direction: 'ASC'}
		, remoteSort: true
	});

	this.eventStoreSearchDataChanged = function(objStore){
		if(this.windowState==true){
			this.gridSearch.enable();
			if(this.SelectedIndex!=-1){
				this.gridSearch.getSelectionModel().selectRow(this.SelectedIndex, true);
				this.gridSearch.getView().refresh();
			}
			if(this.SelectedIndex!=-1){
				var Count=this.storeSearch.getCount();
				if(this.SelectedIndex<Count){
					this.gridSearch.getSelectionModel().selectRow(this.SelectedIndex, true);
				} else {
					this.gridSearch.getSelectionModel().selectRow(Count-1, true);
				}
				this.gridSearch.getView().refresh();
			}
			this.txtSearch_LastValue=this.txtSearch.getValue(); this.txtSearch_ChangeState=false;
			if(this.currentFocus){
				Ext.fly(this.currentFocus.getId()).focus();
			}
			return true;
		} else {
			var QueryDialog=false;
			if(objStore.getCount()>1){QueryDialog=true;}
			if(objStore.getCount()==0){QueryDialog=true;}
			if(QueryDialog){
				this.OpenSearch();
				return false;
			}
			this.eventDone(objStore.getAt(0).data,this.Scope);
			return true;
		}
	};
	this.storeSearch.on('datachanged', this.eventStoreSearchDataChanged, this);

	this.pagingSearch = new Ext.PagingToolbar({
		store: this.storeSearch, pageSize: this.varRecordLimit
		, displayInfo: true
		, displayMsg: 'Menampilkan data: {0} - {1}. Total: {2}'
		, emptyMsg: 'Tidak ada data.'
		, items: [
			' ' , '-' , ' Aktifitas Tanggal : ' , this.txtStartDate , ' - ' , this.txtEndDate
		]
	});

	this.gridSearch = new Ext.grid.GridPanel({
		store: this.storeSearch
		, columns: this.StructGridCollumn
		, view: new Ext.grid.GroupingView({
			forceFit: true
			, groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Items" : "Item"]})'
		})
		, sm: new Ext.grid.RowSelectionModel({singleSelect:true})
		, stripeRows: true
		, frame: true
		, autoExpandColumn: 'FieldDescription'
		, autoScroll: true
		, tbar: [
				' Keyword :', this.txtSearch , '-'
				, ' Filter Field : ', ' ' ,this.cbFilterField
		]
		, bbar: this.pagingSearch
	});

	this.eventGridSearchRowDblClick = function(objGrid, rowindex, e){
		if(this.CallbackQueryDone){
			// this.doSelect();
		}
		return true;
	};
	this.gridSearch.on('rowdblclick', this.eventGridSearchRowDblClick, this);

	this.eventGridSearchCellClick = function(objGrid, row, collumn, event){
		if(objGrid.getColumnModel().getDataIndex(collumn)=='doSelect'){
			// this.doSelect();
		}
	};
	this.gridSearch.on('cellclick', this.eventGridSearchCellClick, this);

	this.GridSearch_keydown=function(e){
		var key=e.getKey();
		if(key==vk_RETURN) {
			e.preventDefault(); e.stopPropagation();
			// this.doSelect();
			return true;
		} else if(key==vk_UP) {
			e.preventDefault(); e.stopPropagation();
			this.selectPrevious(true);
			return true;
		} else if(key==vk_DOWN) {
			e.preventDefault(); e.stopPropagation();
			this.selectNext(true);
			return true;
			/*
			 Ext.fly(this.txtSearchId).focus(500);
			 */
		}
		return true;
	};
	this.gridSearch.on(strKeyEvent, this.GridSearch_keydown, this);

	this.doSelect = function() {
		try {
			var Selected = this.gridSearch.getSelectionModel().getSelected().data;
		}
		catch(err) {
			// catchCode - Block of code to handle errors
		}
		finally {
			if(Selected) {
				this.varModalResult=true;
				this.eventDone(Selected);
				this.window.hide();
				return true;
			}
		}
	};

	this.eventWindowListener = function(c) {
		c.getEl().on(strKeyEvent, function(e){
			var key=e.getKey();
			if(key==vk_TAB){
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	this.window = new Ext.Window({
		layout: 'fit'
		, pageX: 30, pageY: 30, width: 600, height: 380
		, constrain: false
		, closeAction: 'hide'
		, modal: true
		, resizable: true
		, plain: true
		, items: [this.gridSearch]
	});
	this.window.addListener('render', this.eventWindowListener, this);
	// this.window.show(); this.window.hide(); // untuk reset bug pada browser;

	// public Inisialisasi //

	this.windowId=this.window.getId();
	this.varWindowChange=false;
	this.Url=strUrl;
	if(strUrl&&this.Url!=strUrl){this.varWindowChange=true;this.Url=strUrl;}
	if(strTitle&&this.title!=strTitle){this.varWindowChange=true;this.title=strTitle;}
	if(left&&this.varLeft!=left){this.varWindowChange=true;this.varLeft=left;}
	if(top&&this.varTop!=top){this.varWindowChange=true;this.varTop=top;}
	if(width&&this.varWidth!=width){this.varWindowChange=true;this.varWidth=width;}
	if(height&&this.varHeight!=height){this.varWindowChange=true;this.varHeight=height;}
	if(this.varWindowChange){
		this.window.setTitle(strTitle);
		this.window.setPagePosition(this.varLeft,this.varTop);
		this.window.setWidth(width);
		this.window.setHeight(height);
	}
	if(CallbackQueryDone){this.CallbackQueryDone=CallbackQueryDone;}
	if(CallbackQuerySkip){this.CallbackQuerySkip=CallbackQuerySkip;}
	if(Scope){this.Scope=Scope;};

	this.eventShowWindow=function(e){
		Ext.fly(this.txtSearchId).focus(500);
	};
	this.window.on('show', this.eventShowWindow, this);

	this.eventHideWindow=function(e){
		if(!this.varModalResult){this.eventSkip();}
	};
	this.window.on('hide', this.eventHideWindow, this);

	this.reQuery = function(objStore){
		if(!objStore){ objStore=this.storeSearch; }
		objStore.setBaseParam('page_id', strPageId);
		objStore.setBaseParam('dataset', 'view_journaling_system_environment_variable');
		objStore.setBaseParam('table_name', this.journal.get('TableName'));
		objStore.setBaseParam('state', 'request_data');
		objStore.setBaseParam('activity_id', this.journal.get('ActivityId'));
		objStore.setBaseParam('primary_key', this.journal.get('PrimaryKey'));
		objStore.setBaseParam('start_date', this.txtStartDate.getValue());
		objStore.setBaseParam('end_date', this.txtEndDate.getValue());
		/*
		objStore.setBaseParam('filter_menu_id', this.strFilterMenuId);
		objStore.setBaseParam('filter_department_id', this.strFilterDepartmentId);
		objStore.setBaseParam('filter_string', this.strFilterString);
		*/
		objStore.setBaseParam('search', this.txtSearch.getValue());
		objStore.load({params:{start:0, limit:this.varRecordLimit}});
	};

	this.OpenSearch = function(){
		this.txtSearch.setValue(this.strSearch);
		this.SelectedIndex=0;
		this.windowState=true;
		this.cbFilterField.setValue('ALL');
		this.reQuery(this.storeSearch);
		this.window.show();
	};

	// public function //
	this.journal = null;

	this.open = function(record,RecordLimit){
		this.varModalResult=false;
		this.journal=record;
		// this.txtStartDate.setMinValue(this.journal.get('StartDate'));
		// this.txtStartDate.setValue(this.journal.get('StartDate'));
		// this.txtStartDate.setMaxValue(this.journal.get('EndDate'));
		// this.txtEndDate.setMinValue(this.journal.get('StartDate'));
		// this.txtEndDate.setValue(this.journal.get('EndDate'));
		// this.txtEndDate.setMaxValue(this.journal.get('EndDate'));
		var strISODate = this.journal.get('ActivityId');
		this.txtStartDate.setValue(strISODate.substr(0,4)+'-'+strISODate.substr(4,2)+'-'+strISODate.substr(6,2));
		this.txtEndDate.setValue(strISODate.substr(0,4)+'-'+strISODate.substr(4,2)+'-'+strISODate.substr(6,2));
		// alert([this.journal.get('StartDate'),this.journal.get('StartTime'),this.journal.get('EndDate'),this.journal.get('EndTime')]);
		// alert(this.journal.get('TableName'));
		// alert(this.journal.get('ActivityId'));
		this.window.setTitle(this.journal.get('Info'));
		if(RecordLimit){
			this.pagingSearch.pageSize=RecordLimit;
			this.varRecordLimit=RecordLimit;
		}
		this.OpenSearch();
		return true;
	};

}

if(!objViewJournalingSystemEnvironmentVariable){
	var objViewJournalingSystemEnvironmentVariable = new ClassViewJournalingSystemEnvironmentVariable('','Lihat Perubahan',40,74,840,475);
} else {
	objViewJournalingSystemEnvironmentVariable = new ClassViewJournalingSystemEnvironmentVariable('','Lihat Perubahan',40,74,840,475);
}

<?php

?>
