<?php

// echo 'aaaaaa' ; exit();

function GetCountActivities($strSearch='', $blState = "A", $blState1 = "D")
{
    $objDb = QApplication::$Database[1];
    $strSearch = pg_escape_string(strtoupper($strSearch));

    $timeStamp = QDateTime::Now();

    $strDate = $timeStamp->PhpDate('d-M-Y');
    $strStartTime = '00:00:00';
    $strEndTime   = '23:59:59';
// $strCreateTime = $row['create_time']->PhpDate('d-m-Y');
    $strStartDate = System::GetValue('start_date',$strDate);
    $strStartTime = System::GetValue('start_time',$strStartTime);
    $strEndDate = System::GetValue('end_date',$strDate);
    $strEndTime = System::GetValue('end_time',$strEndTime);

    $WHERE = " WHERE activity.state = 'A' ";
    if($strSearch != "") {
        $WHERE = $WHERE . "
            AND (
                UPPER(activity.activity_code) LIKE '%$strSearch%' 
                OR UPPER(activity.activity_description) LIKE '%$strSearch%'
                OR UPPER(activity.relation_name) LIKE '%$strSearch%'
                OR UPPER(activity.mediator_name) LIKE '%$strSearch%'
                OR UPPER(activity.relation_code) LIKE '%$strSearch%'
                OR UPPER(activity.activity_internal_number) LIKE '%$strSearch%'
            )
            
            ";
    }
    $WHERE = $WHERE . "
            AND ( activity.create_time) BETWEEN  '$strStartDate $strStartTime' AND '$strEndDate $strEndTime' ) "
    ;

    $strActivityType = System::GetValue('activity_type','');
    if($strActivityType=='ACTIVE'){
        $WHERE = $WHERE . "
            AND ( activity.activity_type IN ( 'INSERT' , 'TRANSACTION' ) ) "
        ;
    } else if($strActivityType=='ALL_ACTIVE') {
        $WHERE = $WHERE . "
            AND ( activity.activity_type LIKE '%RESEP%') "
        ;
    } else if($strActivityType=='SETUP') {
        $WHERE = $WHERE . "
            AND ( activity.activity_type IN ( 'SETUP' ) ) "
        ;
    
    }
    $WHERE = $WHERE . "
            AND ( activity.actor IN ( 'DOKTER' ) )
            "
    ;
    $strDepartmentId = System::GetValue('department_id','');
    if($strDepartmentId){
        $WHERE = $WHERE . "
            AND ( activity.department = '$strDepartmentId' )
            ";
    }

    $strSql = "
		   SELECT COUNT(activity.id) AS jumlah
		   FROM activity
		   WHERE activity_internal_number like '%RESEP%'
	";

    // System::WriteLog('x-activity-count.txt',$strSql);
    $objDbResult = $objDb->Query($strSql);


    $strDbRow = $objDbResult->FetchRow();
    return $strDbRow[0];
}

function GetRecordProfile($strTableName,$strPrimaryKey)
{
    $objDb = QApplication::$Database[1];
    $strSql = "
			SELECT
			    create_time::DATE AS start_date
			    , modify_time::DATE AS end_date
			FROM $strTableName
			WHERE id = '$strPrimaryKey'
	";
    // System::WriteLog('x-activity-profile.txt',$strSql);
    $objDbResult = $objDb->Query($strSql);
    if ($objDbResult->CountRows() > 0) {
        $u = array();
        while ($row = $objDbResult->FetchArray()) {
            $u['start_date'] = $row['start_date'];
            $u['end_date'] = $row['end_date'];
            if(strlen($u['end_date'])==0){
                // $u['end_date'] = date('Y-m-t', strtotime($row['start_date']));
                $u['end_date'] = $row['start_date'];
            } else {
                $u['end_date'] = $row['end_date'];
            }
        }
        return $u;
    }	else {
        return '';
    }
}


function GetActivities($intStart, $intLimit, $strSearch='', $blState = "A", $blState1 = "D" , $strSortField = 'id', $strSortTipe = 'ASC')
{
    $objDb = QApplication::$Database[1];
    $strSearch = pg_escape_string(strtoupper($strSearch));

    $timeStamp = QDateTime::Now();

    $strDate = $timeStamp->PhpDate('Y-m-d');
    $strStartTime = '00:00:00';
    $strEndTime   = '23:59:59';

    $strStartDate = System::GetValue('start_date',$strDate);
    $strStartTime = System::GetValue('start_time',$strStartTime);
    $strEndDate = System::GetValue('end_date',$strDate);
    $strEndTime = System::GetValue('end_time',$strEndTime);

    $WHERE = " WHERE (activity.state = '$blState' or activity.state = '$blState1' )";
    if($strSearch != "") {
        $WHERE = $WHERE . "
            AND (
                UPPER(activity.activity_code) LIKE '%$strSearch%' 
                OR UPPER(activity.activity_description) LIKE '%$strSearch%'
                OR UPPER(activity.relation_name) LIKE '%$strSearch%'
                OR UPPER(activity.relation_code) LIKE '%$strSearch%'
                OR UPPER(activity.mediator_name) LIKE '%$strSearch%'
                
            )";
    }
    $WHERE = $WHERE . "
            AND ( activity.create_time BETWEEN  '$strStartDate $strStartTime' AND '$strEndDate $strEndTime' ) "
    ;

    $strActivityType = System::GetValue('activity_category','');
    if($strActivityType=='ACTIVE'){
        $WHERE = $WHERE . "
            AND ( activity.activity_type IN ( 'INSERT' , 'TRANSACTION' ) ) "
        ;
    } else if($strActivityType=='ALL_ACTIVE') {
        $WHERE = $WHERE . "
            AND ( activity.activity_type like '%RESEP%') "
        ;
    
    }
    $WHERE = $WHERE . "
            AND ( activity.actor IN ( 'DOKTER' ) )
            AND ( activity.activity_category IN ( 'TRANSACTION' ) )"
    ;
    $strDepartmentId = System::GetValue('department_id','');
    if($strDepartmentId){
        $WHERE = $WHERE . "
            AND ( activity.department = '$strDepartmentId' )
            ";
    }

    $SORT = '';
    if (isset($strSortTipe) && isset($strSortField)) {
        if ($strSortField == 'Id') {
            $SORT = "ORDER BY activity.id $strSortTipe";
        } else if ($strSortField == 'Url') {
            $SORT = "ORDER BY activity.url $strSortTipe";
        }
    }
    if($SORT==''){$SORT = "ORDER BY activity.create_time DESC";}

    $strSql = "
			SELECT activity.* , system_user.full_name AS activity_operator_name
			FROM activity AS activity LEFT JOIN system_user ON ( activity.create_user = system_user.id )
			$WHERE
			$SORT
			LIMIT $intLimit OFFSET $intStart
	";

    // System::WriteLog('x-activity-data.txt',$strSql);
    $objDbResult = $objDb->Query($strSql);

    if ($objDbResult->CountRows() > 0) {
        $u = array();
        $i = 0;
        while ($row = $objDbResult->FetchArray()) {
            $u[$i]['ActivityOnPartition'] = $row['activity_date'];
            $u[$i]['ActivityId'] = $row['id'];
            $u[$i]['Id'] = $row['id'];
            $u[$i]['ActivityInternalNumber'] = $row['activity_internal_number'] ? $row['activity_internal_number'] : '-' ;
            $u[$i]['ActivityType'] = $row['activity_type'];
            $u[$i]['ActivityCategory'] = $row['activity_category'];
            $u[$i]['ActivityDescription'] = $row['activity_description'];
            $u[$i]['ActivityDate'] = $row['activity_date'];
            $u[$i]['State'] = $row['state'];
            $u[$i]['Description'] = $row['relation_name'];
                        $u[$i]['RM'] = $row['relation_code']; $u[$i]['DEPARTEMEN'] = $row['relation_department_name'];
            $u[$i]['TableName'] = $row['table_name'];
            $u[$i]['PrimaryKey'] = $row['primary_key'];
            $u[$i]['CreateTime'] = $row['create_time'] ;
            // if(strlen($row['table_name'])&&strlen($row['primary_key'])){
                // $arrayRecordProfile = GetRecordProfile($row['table_name'],$row['primary_key']);
                // $u[$i]['StartDate'] = $arrayRecordProfile['start_date'];
                // $u[$i]['EndDate'] = $arrayRecordProfile['end_date'];
                // System::WriteLog('x-activity-data-'.$i.'.txt',$arrayRecordProfile['start_date'].'-'.$arrayRecordProfile['end_date']);
            // }
            $u[$i]['ActivityOperatorName'] = $row['activity_operator_name'];


            $i++;
        }
        return $u;
    }	else {
        return 0;
    }
}

// ============================================================================================= //
// Main	Service																					 //
// ============================================================================================= //

function service()
{
    $strState = System::GetValue('state','');
    $strOption = System::GetValue('option','');
    if( $strState ) {
        if($strState == 'validate' || $strState == 'submit')
        {
            $Id	= System::GetValue('Id','');
            $Description = System::GetValue('Description','');
            $Code = System::GetValue('Code','');
            $SortField = System::GetValue('SortField','');
            $Url = System::GetValue('Url','');
            $Icon = System::GetValue('Icon','');
        }
        if($strState == 'validate')
        {
            /*
            $objSystemApplication = SystemApplication::LoadByCode($Code);
            if($Id){
                // Validasi Kode untuk data lama
                if($objSystemApplication && $objSystemApplication->Id!=$Id)
                    return System::Result(
                        false
                        , 'Code'
                        , '"Code" sudah dipergunakan, Isi dengan "Code" lain'
                    );
            } else {
                // Validasi Kode untuk data baru
                if($objSystemApplication)
                    return System::Result(
                        false
                        , 'Code'
                        , '"Code" sudah dipergunakan, Isi dengan "Code" lain'
                    );
            }
            */
            return System::Result(true, '', '');
        }
        else if($strState == 'submit')
        {
            $strId	= System::GetValue('Id',null,'string');
            $strDescription = System::GetValue('Description',null,'string');
            $strCode = System::GetValue('Code',null,'string');
            $objactivity = activity::LoadById($strId);
            if(!$objactivity){
                $objactivity = new activity();
                $objactivity->Id=System::GetId();
                $objactivity->State = 'A';
                $isInsert = true;
            } else {
                $isInsert = false;
            }
            $objactivity->Nama = $strDescription;
            $objactivity->Kode = $strCode;
            if($isInsert==false){
                if($objactivity->isChange()){
                    $strActivity = 'UPDATE' ; $strActivityDescripton = 'mengubah data activity '.'"'.$objactivity->Nama.'"';
                    $isUpdate = true;
                    $strServerAction = 'update';
                }
            } else {
                $strActivity = 'INSERT' ; $strActivityDescripton = 'menambah data activity '.'"'.$objactivity->Nama.'"';
                $strServerAction = 'insert';
            }
            if($isInsert||$isUpdate) {

                System::StartActivity(__PAGE__, $strActivity, $strActivityDescripton);

                $objactivity->SetRecordActivityBy();
                $objactivity->Save();

                $objActivity = new Activity();
                $objActivity->Id = System::GetActivityId(__PAGE__);
                $objActivity->State = 'A';

                $nowTimestamp = QDateTime::Now();
                $objActivity->ActivityDateTime = $nowTimestamp;
                $objActivity->ActivityDate = $nowTimestamp;
                $objActivity->ActivityTime = $nowTimestamp;
                if($isInsert){
                    $strActivityDescription = 'Menambah data Pegawai '.'"'.$objactivity->Nama.'"';
                } elseif($isUpdate) {
                    $strActivityDescription = 'Mengubah data Pegawai '.'"'.$objactivity->Nama.'"';
                }
                $objActivity->ActivityDescription = $strActivityDescription ;
                $objActivity->ActivityType = 'MASTER';

                $objActivity->SetRecordActivityBy();
                $objActivity->Save();

                System::DoneActivity(__PAGE__);

            }
            return System::Result(true, 'Id', $objactivity->Id , $strServerAction );
        }
        else if($strState == 'delete')
        {
            $strId	= System::GetValue('Id',null,'string');
            $strId = System::GetValue('Id',null,'string');
            $objDb = QApplication::$Database[1];
            $strSql = "
                        -- --------------------------------------------------------------------------
                        BEGIN ;
                        -- --------------------------------------------------------------------------
                        UPDATE activity SET state = 'D'
                        WHERE id = '$strId' ;
                        UPDATE activity_nursing_adm_billing SET state = 'D'
                        WHERE activity_id = '$strId' ;
                        UPDATE hmis_patient_nursing_adm_billing SET state = 'D'
                        WHERE activity_id = '$strId' ;
                        UPDATE hmis_product_transaction_selling SET state = 'D'
                        WHERE activity_id = '$strId' ;
                        -- --------------------------------------------------------------------------
                        COMMIT ;
                        -- --------------------------------------------------------------------------
                    ";
            // System::WriteLog('x-cashier-sql.txt',$strSql);
            $objDbResult = $objDb->Query($strSql);
            // kembalikan sukses //
            return System::Result(true, '', '');
        }
        else if($strState == 'request_data')
        {
            if(isset($_POST['start']) || isset($_GET['start']) ){
                // System::WriteLog('x-test-point-1.txt','');
                $intStart = System::GetValue('start', 0);
                $intLimit = System::GetValue('limit', 20);
                $strSearch = System::GetValue('search', '');
                $blState = System::GetValue('blState', 'A');
                                $blState1 = System::GetValue('blState1', 'D');

                $strSortField = System::GetValue('sort', '');
                $sort_dir = System::GetValue('dir', 'ASC');
                if( $strSortField && $sort_dir ) {
                    $dataset = GetActivities($intStart, $intLimit, $strSearch, $blState,$blState1, $strSortField, $sort_dir);
                } else {
                    $dataset = GetActivities($intStart, $intLimit, $strSearch, $blState, $blState1);
                }
                $count = GetCountActivities($strSearch, $blState, $blState1);
                // $str_dataset = var_export($dataset, true);
                return System::ResultRecordset($dataset, $count);
            }
        }
        return '';
    }

}

// ============================================================================================= //

// System::WriteLog('x-test-point-0.txt','');

// ============================================================================================= //

echo service();

// ============================================================================================= //

?>
