<?php

    $noprint = System::GetValue('noprint',null,'string');
    $dtActivityOnPartition = System::GetValue('activity_on_partition',null,'date');
    $strActivityId = System::GetValue('activity_id',null,'string');
    $objActivity = Activity::LoadById($strActivityId,$dtActivityOnPartition);
    if($objActivity){
        $objSystemUser = SystemUser::LoadById($objActivity->CreateUser);
        $objPatientNursing = HmisPatientNursing::LoadById($objActivity->RelationNursingId,$objActivity->RelationNursingDate);
        $objPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
    } else {
    }
    $objActivityNursingAdmPayment = ActivityNursingAdmPayment::LoadByActivityId($strActivityId,$dtActivityOnPartition);
    $objActivityNursingAdmDeposit = ActivityNursingAdmDeposit::LoadByActivityId($strActivityId,$dtActivityOnPartition);


    function SelectDetailBillingTransaction($strActivityId, $dtPatientNursingStartDate){
        $objDb = QApplication::$Database[1];
        $strSQL = "
            SELECT * FROM hmis_patient_nursing_adm_billing
            WHERE
                state != 'D'
                AND ( activity_id = '$strActivityId'
                      OR reference_activity_id = '$strActivityId'
                      OR personal_payment_activity_id = '$strActivityId'
                )
            ORDER BY id
        ";
        // echo $strSQL;
        $objDbResult = $objDb->Query($strSQL);
        return $objDbResult;
    }
    $objPatientNursingBilling = SelectDetailBillingTransaction($strActivityId , $dtActivityOnPartition);
    if($objPatientNursingBilling->CountRows() > 0){
        while ($row = $objPatientNursingBilling->FetchArray()) {
            // echo $row['product_name'].'--'.$row['current_price'].'<br />';
        }
    }
    // echo '============================================================ <br />';
    $objPatientNursingBilling->ResultSeekZero();
    if($objPatientNursingBilling->CountRows() > 0){
        while ($row = $objPatientNursingBilling->FetchArray()) {
            // echo $row['product_name'].'--'.$row['casemix_group'].'--'.$row['current_price'].'<br />';
        }
    }
    // exit(0);

?>
<html><head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8"><style type="text/css" media="all">
        @media print
        {
            .noprint {
                display:none;
            }
        }
        @media print{ @page {
            /*size: 18.7cm 14cm;*/
            margin-top: 0.9cm;
            margin-bottom: 0.9cm;
            margin-left: 0cm;
            margin-right: 0cm;
        }}
        body{
            font-family: "Lucida Console", Monaco, monospace;
            /* letter-spacing: 4.5px; */
            font-weight: 900;
            }
        table thead {display: table-header-group;}
        .table {
            border: 1px solid #666; border-collapse:collapse;
            width:100%;
        }
        .td {
            border: 1px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        .tx {
            border: 0px solid #666; font-size:12px; line-height: 12px;
            vertical-align:middle; padding:5px;  
        }
        h2 { margin-bottom: 0;   }
        .td2 {
            border: 0px solid #666; font-size:15px; line-height: 15px;
            vertical-align:middle; padding:0px;  
        }
        .tombol{
            display: inline-block;
            padding: 5px;
            margin: 5px;
            border-radius: 3px;
        }
    </style>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <script>

    if(typeof(electronCheck) != "function" || !electronCheck()){
        document.write('<div class="noprint"><h1 style="background: pink;">PERINGATAN.</h1><p style="color:red">ANDA MEMBUKA HALAMAN INI DENGAN BROWSER, JANGAN MENCETAK APAPUN.</p><p>Tips: Silahkan Buka Aplikasi Promedika.</p></div>');
    }

    function printaja()
    {
        // set portrait orientation
        jsPrintSetup.setOption('orientation', jsPrintSetup.kPortraitOrientation);
        //jsPrintSetup.setOption('orientation', jsPrintSetup.kLandscapeOrientation);
        jsPrintSetup.setPrinter('EPSON LX-310 ESC/P'); //apotek
        //jsPrintSetup.setPrinter('EPSON LQ-310 ESC/P2'); //TI
        //jsPrintSetup.definePaperSize('na_legal', 'na_legal_8.5x14in', 'US Legal', 8.5, 14, , 'kPaperSizeInches');
        //jsPrintSetup.setPaperSizeData(5);
        // set top margins in millimeters

        //jsPrintSetup.definePaperSize(5, 5, "na_legal", "na_legal_8.5x14in", "US Legal", "6.5", "8.5", "kPaperSizeInches");
        //jsPrintSetup.setPaperSizeData(5);


        jsPrintSetup.setOption('paperHeight', 6);
        jsPrintSetup.setOption('paperWidth', 6);
        jsPrintSetup.setOption('shrinkToFit', 1);
        jsPrintSetup.setOption('outputFormat', JsPrintSetup.kOutputFormatPDF);


        jsPrintSetup.setOption('marginTop', 0);
        jsPrintSetup.setOption('marginBottom', 0);
        jsPrintSetup.setOption('marginLeft', 0);
        jsPrintSetup.setOption('marginRight', 0);

        jsPrintSetup.setOption('unwriteableMarginTop', 0);
        jsPrintSetup.setOption('unwriteableMarginLeft', 0);
        jsPrintSetup.setOption('unwriteableMarginBottom', 0);
        jsPrintSetup.setOption('unwriteableMarginRight', 0);
        // set page header
        jsPrintSetup.setOption('headerStrLeft', '');
        jsPrintSetup.setOption('headerStrCenter', '');
        jsPrintSetup.setOption('headerStrRight', '');
        // set empty page footer
        jsPrintSetup.setOption('footerStrLeft', '');
        jsPrintSetup.setOption('footerStrCenter', '');
        jsPrintSetup.setOption('footerStrRight', '');
        // Suppress print dialog
        jsPrintSetup.setSilentPrint(false);
        // Do Print
        jsPrintSetup.print();
        // Restore print dialog
        jsPrintSetup.setSilentPrint(false);
    }
    </script>
</head>
<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" title="print" width="30" height="30">
    </a>
    <!-- 
    <a href="http://192.168.100.99/ifrs/pos/print_2.php?id=0314082019001279"><img src="cetak.php_files/print-icon.png" alt="" title="Print Kwitansi" height="30" width="30"></a>
    <a href="#" onclick="CetakResep('0314082019001279')"><img style="border:#06F" src="cetak.php_files/print-icon.png" alt="" title="Print Kwitansi 2" height="30" width="30"></a>
    <a target="_blank" href="http://192.168.100.99/ifrs/pos/cetak_biru_2.php?id=0314082019001279"><img src="cetak.php_files/print_icon_biru.png" alt="Print Etiket Putih" title="Print Etiket Biru" height="30" width="30"></a>
    <a target="_blank" href="http://192.168.100.99/ifrs/pos/cetak_racikan.php?id=0314082019001279"><img src="cetak.php_files/printer.png" alt="Print Racikan" title="Print Racikan" height="30" width="30"></a>
    -->
    <!-- <a href="#" onclick="printaja()">
        <img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" title="print" width="30" height="30">
    </a>  -->
    <button onclick="printEtiket()">print Etiket</button>
    <button onclick="window.printRacikan()">print Racikan</button>
    <button onclick="printEtiketRanap()">print Etiket Ranap</button>
    <!-- <button onclick="printRincian()">print Rincian</button> -->
    <button onclick="window.print()">print WP</button><br>
    
</div>

<table id="testTable" border="0" cellpadding="1" cellspacing="0" width="100%">
    <tbody><tr>
        <td align="center">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tbody>

                <tr>
                <div style="display: flex; flex-diection: row; justify-content: center; padding-top: 1mm">
                    <div style="width:70px; margin: 2px 25px">
                        <img src="<?= __USER_ASSETS__ ?>/images/pemkot-kediri-min.png" width="60px" height="60px">
                    </div>
                    <div colspan="6" align="center">
                        <h2 style="margin: 0 auto;">RSUD GAMBIRAN KOTA KEDIRI</h2>
                        <h2 style="margin: 0 auto;">RINCIAN INSTALASI FARMASI</h2>
                        <h6 style="text-align: center; margin: 0;"><?= System::getPublicVariable('alamat') ?></h6>
                    </div>
                    <div style="width:140px; margin: 2px 25px;">
                        <img src="<?= __USER_ASSETS__ ?>/images/logo-gambiran-min.png" width="60px" height="60px">
                        <img src="<?= __USER_ASSETS__ ?>/images/kars.png" width="60px" height="auto">
                    </div>
                </div>
                </tr>

                <!--
                <tr>
                    <td colspan="6" align="center"><font size="+1">RINCIAN</font>
                    </td>
                </tr>
                <tr>
                    <td class="tx" colspan="6" align="center"><h2>RSUD GAMBIRAN KOTA KEDIRI</h2></td>
                </tr>
                <tr>
                    <td class="tx" colspan="6" align="center"><font size="+1">Instalasi Farmasi Pelayanan Obat</font></td>
                </tr>
                -->
                <tr>
                    <td class="tx" colspan="6" align="center"><h4></h4><hr style="border:double"></td>
                </tr>
                <tr>
                    <td colspan="6" class="tx"></td>
                </tr>
                <tr>
                    <td class="tx" width="13%"><strong>No Nota</strong></td>
                    <td class="tx" width="19%">: <?php echo $objActivity->ActivityInternalNumber; ?>; </td>
                    <td class="tx" width="11%"><strong>No Rekmed</strong></td>
                    <td class="tx" width="22%">: <?php echo $objPatientNursing->Mr; ?></td>
                    <td class="tx" width="12%"><strong>Dokter</strong></td>
                    <td class="tx" width="23%">: <?php echo $objActivity->MediatorName; ?></td>
                </tr>
                <tr>
                    <!-- <td class="tx"><strong>Tgl</strong></td>
                    <td class="tx">: <?php echo $objActivity->CreateTime->PhpDate('d-m-Y'); ?></td> -->
                    <td class="tx"><strong>No Resep</strong></td>
                    <td class="tx">: </td>
                    <td class="tx"><strong>Nama</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->FirstName; ?></td>
                </tr>
                <tr>
                    <td class="tx"><strong>Ruang</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->DepartmentName; ?></td>
                    <td class="tx"><strong>Tgl Resep</strong></td>
                    <?php
                    if($objPatientNursing->NursingCategory == '1' && $objPatientNursing->DepartmentName != "INSTALASI HEMODIALISA")
                    {
                        $tanggal = $objPatientNursing->NursingStartDate->PhpDate('d-m-Y');
                        if($objActivity->Json){
                            $array = json_decode($objActivity->Json,true);
                            $strTanggalResep = $array['tanggal_resep'];
                            if($tanggal){
                              $value = new QDateTime($strTanggalResep.' 00:00:00');
                              $tanggal = $value->PhpDate('d-m-Y');
                            }
                        }
                    }
                    else{
                        $tanggal = $objActivity->CreateTime->PhpDate('d-m-Y');
                        if($objActivity->Json){
                            $array = json_decode($objActivity->Json,true);
                            $strTanggalResep = $array['tanggal_resep'];
                            if($strTanggalResep){
                              $value = new QDateTime($strTanggalResep.' 00:00:00');
                              $tanggal = $value->PhpDate('d-m-Y');
                            }
                        }
                    }
                    ?>
                    <td class="tx">: <?php echo $tanggal; ?></td>
                    <td class="tx"><strong>Gol Pasien</strong></td>
                    <td class="tx">: <?php echo $objPatientNursing->ContractServiceName ?></td><!-- <?php echo $objActivity->CreateTime->PhpDate('d-m-Y').' # '.$objPatientNursing->NursingCategory;?> -->
                </tr>
                </tbody>
            </table>
            <table class="table" border="1" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td class="td" width="4%"><strong>No</strong></td>
                    <td class="td" width="33%"><strong>Nama Barang</strong></td>
                    <td class="td" width="13%"><strong>Harga</strong></td>
                    <td class="td" width="13%"><strong>Qty</strong></td>
                    <td class="td" width="13%"><strong>Disc</strong></td>
                    <td class="td" align="center" width="16%"><strong>Sub Total</strong></td>
                    <td class="td noprint" align="center" width="16%"><strong>Etiket /Pcs</strong></td>
                    <td class="td noprint" align="center" width="16%"><strong>Etiket</strong></td>
                    <td class="td noprint" align="center"><strong>Kronis</strong></td>
                </tr>
                <?php
                $valqty = 0 ;
                $objPatientNursingBilling->ResultSeekZero();
                if($objPatientNursingBilling->CountRows() > 0){
                    $intCounter = 1; $valTotal = 0 ;
                    while ($row = $objPatientNursingBilling->FetchArray()) {
                        $valqty = $valqty + $row['quantity'];
                        $valTotal = $valTotal + floatval($row['current_price']) * floatval($row['quantity']);
                        ?>
                        <tr>
                            <td class="td"><?= $intCounter++; ?></td>
                            <td class="td"><b><?php echo $row['product_name']; ?></b></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo number_format($row['current_price']); ?></b></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo $row['quantity']; ?></b></td>
                            <td class="td" align="right"></td>
                            <td class="td" align="right" style="font-size: 14px;"><b><?php echo number_format($row['current_price'] * $row['quantity']); ?></b></td>
                            <td class="td noprint" align="center">
                                <a target="_blank" href="<?= QApplication::UrlCreator('hmis-product-transaction-selling/print/?layout=etiketloop&billing_id=' . $row['id']) ?>"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="Print Etiket Biru" title="Print /pcs Etiket Biru" height="20" width="20"></a>
                            </td>
                            <td class="td noprint" align="center">
                                <a target="_blank" href="<?= QApplication::UrlCreator('hmis-product-transaction-selling/print/?layout=etikettunggal&billing_id=' . $row['id']) ?>"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="Print Etiket Biru" title="Print /pcs Etiket Biru" height="20" width="20"></a>
                            </td>
                            <td class="td noprint" align="center"><?php echo $row['notes'];?></td>
                        </tr>
                        <?php
                    }
                }
                ?>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Jumlah</strong></td>
                    <td class="td" align="right" style="font-size: 14px;"><?php echo number_format($valTotal); ?></td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Disc (0 %) </strong></td>
                    <td class="td" align="right">0</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right"><strong>Total</strong></td>
                    <td class="td" align="right" style="font-size: 14px;"><?php echo number_format($valTotal); ?></td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="5" class="td" align="right" ><strong>Jumlah Qty</strong></td>
                    <td class="td" align="right" style="font-size: 14px;"><?php echo $valqty;?></td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                    <td class="td noprint" align="right">&nbsp;</td>
                </tr>
                </tbody>
            </table>
            <table border="0" cellpadding="3" cellspacing="0" width="100%">
                <tbody><tr>
                    <td width="100%"></td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
</table>
<!-- <br>
<h5>&nbsp;</h5> -->

<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>

<script language="javascript" type="text/javascript">
    // if(typeof(electronCheck) != "function" || !electronCheck()){
    //     $(".noprint").hide();
    //     $("#testTable").hide();
    // }

    function CetakResep(id){
        //var no_resep=$('#no_resep').val();
        //alert('jav:resep:'+id+':' + 'Yuli Indayati');
        //window.location='jav:resep:'+id+':' + 'Yuli Indayati';
    }
   // window.print();
</script>
<script>
var noprint = <?= $noprint ? 'true' : 'false' ?>;

function printEtiket(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiket'));
    externalPrinting(url.replace('nota', 'etiketbiru'));
}
function printEtiketRanap(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiketputihranap'));
    externalPrinting(url.replace('nota', 'etiketbiruranap'));
}
function printRacikan(){
    var url = window.location.href.replace('activity-apotik', 'hmis-product-transaction-selling');
    externalPrinting(url.replace('nota', 'etiketracikan'));
}
function printRincian(){
    cetakElectron('dotmetric', window.location.href);
}
//electron ,,

$('#printNode').click(function() {
    console.log('cetak')
    if (!noprint) {
        $.ajax({
            url: "http://localhost:8080/",
            // The name of the callback parameter, as specified by the YQL service
            jsonp: "callback",

            // Tell jQuery we're expecting JSONP
            dataType: "jsonp",
            data: {
                job: window.location.href,
                target: "rincian-kasir",
                printer: "EPSON LX-310 ESC/P"
            },

            // Work with the response
            success: function( response ) {
                console.log( response ); // server response
            }
        });
    }

    function callback(params) {
        
    }
});
    
</script>
</body>
</html>
